sampler2D img : register(s0);
sampler2D backy : register(s1);

float rAlpha;
int flipX;
int flipY;

float4 ps_main(in float2 texCoord : TEXCOORD0) : COLOR0	{
rAlpha = rAlpha/255.0;
float4 inColor = tex2D( img, texCoord);
float4 backyColor = tex2D( backy, float2(texCoord.x*(1-(2*flipX)), texCoord.y*(1-(2*flipY))));

return float4( (inColor.rgb*(1.0-rAlpha))+(backyColor.rgb*rAlpha), inColor.a );
}


technique tech_main	{ pass P0 { PixelShader = compile ps_2_0 ps_main(); }  }

