sampler2D img : register(s0);
sampler2D pattern : register(s1);

float scaleX;
float scaleY;
float offsetX;
float offsetY;
float fade;

float4 ps_main(in float2 texCoord : TEXCOORD0) : COLOR0	{
fade = fade/255.0;
float4 inColor = tex2D( img, texCoord);
float4 ptrColor = tex2D( pattern, float2((texCoord.x*scaleX)+offsetX, (texCoord.y*scaleY)+offsetY));

return float4( (inColor.rgb*(1.0-fade))+(ptrColor.rgb*fade), inColor.a );
}


technique tech_main	{ pass P0 { PixelShader = compile ps_2_0 ps_main(); }  }

